Last modified: 2013-01-23 13:40:36 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 42190 - Rename WikiEditor classes with generic names to use mw- or mwe- prefixes or redefine them more complexly
Rename WikiEditor classes with generic names to use mw- or mwe- prefixes or r...
Status: NEW
Product: MediaWiki extensions
Classification: Unclassified
WikiEditor (Other open bugs)
unspecified
All All
: Normal major (vote)
: ---
Assigned To: Nobody - You can work on this!
:
Depends on:
Blocks: code_quality
  Show dependency treegraph
 
Reported: 2012-11-16 11:56 UTC by Danny B.
Modified: 2013-01-23 13:40 UTC (History)
4 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Danny B. 2012-11-16 11:56:28 UTC
Various classes of WikiEditor are poorely named.

There are classes with way too general names like "label", "tool", "group" etc. which obviously interact with site/user defined styles elsewhere.

There was a consensus that all MediaWiki user interface classes will be prefixed with mw- or mwe-<name>- (for extensions) to prevent this.

From these two reasons all these classes must be renamed.
Comment 1 Andre Klapper 2012-11-16 12:21:31 UTC
(In reply to comment #0)
> Various classes of WikiEditor are poorely named.

Which ones? List welcome, otherwise it's impossible to define when this bug report has been fixed.
Comment 2 Danny B. 2012-11-16 12:26:59 UTC
(In reply to comment #1)
> (In reply to comment #0)
> > Various classes of WikiEditor are poorely named.
> 
> Which ones? List welcome, otherwise it's impossible to define when this bug
> report has been fixed.

The example list is just one line lower ;-)

And I'm pretty sure devs will know all of them.
Comment 3 Danny B. 2012-11-16 12:29:24 UTC
Another solution would be to define explicitely all commonly used properties for these generally named classes to ensure nothing is inherited.
Comment 4 Andre Klapper 2012-11-19 11:18:04 UTC
(In reply to comment #2)
> pretty sure devs will know all of them.

This makes it unnecessarly complicated for patch contributors that are not devs (yet).
Comment 5 Danny B. 2012-11-21 13:12:28 UTC
(In reply to comment #4)
> (In reply to comment #2)
> > pretty sure devs will know all of them.
> 
> This makes it unnecessarly complicated for patch contributors that are not devs
> (yet).

As I stated above - the example list of those I found while debugging another bug, is there. And I don't know the full list either, there is no documentation I would be aware of including such list, so anybody would have to dive into the code to find all of them.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links